Check-in [6f9977f121]
Overview
Comment:Updated to use common download infrastructure
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:6f9977f1216f1287394e24988a09144e07670bcb
User & Date: rkeene on 2016-02-24 19:38:52
Other Links: manifest | tags
Context
2016-02-24
19:39
Added common downloader script check-in: d9b5ef323c user: rkeene tags: trunk
19:38
Updated to use common download infrastructure check-in: 6f9977f121 user: rkeene tags: trunk
2016-02-12
16:56
Start testing 8.5.19 check-in: 70021142fe user: rkeene tags: trunk
Changes

Modified dbus/build.sh from [f52d4218f1] to [9243806e9e].

    33     33   LIBS="${LIBS} ${KC_DBUS_LIBS}"
    34     34   export LDFLAGS CFLAGS CPPFLAGS LIBS
    35     35   
    36     36   if [ ! -f "${SRC}" ]; then
    37     37   	mkdir 'src' >/dev/null 2>/dev/null
    38     38   
    39     39   	if [ ! -d 'buildsrc' ]; then
    40         -		rm -f "${SRC}.tmp"
    41         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    42         -		mv "${SRC}.tmp" "${SRC}"
           40  +		download "${SRCURL}" "${SRC}" - || exit 1
    43     41   	fi
    44     42   fi
    45     43   
    46     44   (
    47     45   	cd 'build' || exit 1
    48     46   
    49     47   	if [ ! -d '../buildsrc' ]; then

Modified itcl/build.sh from [a91c158a0c] to [6bc2ce1219].

    55     55   	exit 1
    56     56   ) || exit 0
    57     57   
    58     58   if [ ! -f "${SRC}" ]; then
    59     59   	mkdir 'src' >/dev/null 2>/dev/null
    60     60   
    61     61   	if [ ! -d 'buildsrc' ]; then
    62         -		rm -f "${SRC}.tmp"
    63         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    64         -		mv "${SRC}.tmp" "${SRC}"
           62  +		download "${SRCURL}" "${SRC}" - || exit 1
    65     63   	fi
    66     64   fi
    67     65   
    68     66   (
    69     67   	cd 'build' || exit 1
    70     68   
    71     69   	if [ ! -d '../buildsrc' ]; then

Modified kitcreator from [4ae47ac847] to [80b004ba4a].

    16     16   TCLVERS="8.6.4"
    17     17   if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | egrep '^(cvs|fossil)_' >/dev/null; then
    18     18   	TCLVERS="$1"
    19     19   
    20     20   	shift
    21     21   fi
    22     22   export TCLVERS
           23  +
           24  +# Add the helpers directory to the path
           25  +PATH="$(dirname "$(which "$0")")"/common/helpers:"${PATH}"
           26  +export PATH
    23     27   
    24     28   # Verify that "pre.sh" has been run if this is a development snapshot of
    25     29   # KitCreator
    26     30   if [ -f 'build/pre.sh' ]; then
    27     31   	if ! find 'kitsh/buildsrc/' -name configure -type f 2>/dev/null | grep configure >/dev/null; then
    28     32   		echo "Please remember to run 'build/pre.sh' if you expect this build to work." >&2
    29     33   	fi

Modified mk4tcl/build.sh from [c5265584d3] to [5fd2ea249e].

    38     38   fi
    39     39   export TCL_VERSION
    40     40   
    41     41   if [ ! -f "${SRC}" ]; then
    42     42   	mkdir 'src' >/dev/null 2>/dev/null
    43     43   
    44     44   	if [ ! -d 'buildsrc' ]; then
    45         -		rm -f "${SRC}.tmp"
    46         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    47         -		mv "${SRC}.tmp" "${SRC}"
           45  +		download "${SRCURL}" "${SRC}" - || exit 1
    48     46   	fi
    49     47   fi
    50     48   
    51     49   (
    52     50   	cd 'build' || exit 1
    53     51   
    54     52   	if [ ! -d '../buildsrc' ]; then

Modified nsf/build.sh from [08cdee6d2a] to [bff94825d0].

    30     30   rm -rf 'build' 'out' 'inst'
    31     31   mkdir 'build' 'out' 'inst' || exit 1
    32     32   
    33     33   if [ ! -f "${SRC}" ]; then
    34     34       mkdir 'src' >/dev/null 2>/dev/null
    35     35       
    36     36       if [ ! -d 'buildsrc' ]; then
    37         -	rm -f "${SRC}.tmp"
    38         -	wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    39         -	mv "${SRC}.tmp" "${SRC}"
           37  +	download "${SRCURL}" "${SRC}" - || exit 1
    40     38       fi
    41     39   fi
    42     40   
    43     41   (
    44     42       cd 'build' || exit 1
    45     43       
    46     44       if [ ! -d '../buildsrc' ]; then

Modified tcc4tcl/build.sh from [a8c1cbf0ad] to [5a95feee8a].

    36     36   fi
    37     37   export TCL_VERSION
    38     38   
    39     39   if [ ! -f "${SRC}" ]; then
    40     40   	mkdir 'src' >/dev/null 2>/dev/null
    41     41   
    42     42   	if [ ! -d 'buildsrc' ]; then
    43         -		rm -f "${SRC}.tmp"
    44         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    45         -		mv "${SRC}.tmp" "${SRC}"
           43  +		download "${SRCURL}" "${SRC}.tmp" - || exit 1
    46     44   	fi
    47     45   fi
    48     46   
    49     47   (
    50     48   	cd 'build' || exit 1
    51     49   
    52     50   	if [ ! -d '../buildsrc' ]; then

Modified tcl/build.sh from [a0fc7f495f] to [d77e5eb40c].

    61     61   			workdir="tmp-$$${RANDOM}${RANDOM}${RANDOM}"
    62     62   			rm -rf "${workdir}"
    63     63   
    64     64   			mkdir "${workdir}" || exit 1
    65     65   			cd "${workdir}" || exit 1
    66     66   
    67     67   			# Handle Tcl first, since it will be used to base other packages on
    68         -			wget -O "tmp-tcl.tar.gz" "http://core.tcl.tk/tcl/tarball/tcl-fossil.tar.gz?uuid=${FOSSILTAG}" || rm -f 'tmp-tcl.tar.gz'
           68  +			download "http://core.tcl.tk/tcl/tarball/tcl-fossil.tar.gz?uuid=${FOSSILTAG}" "tmp-tcl.tar.gz" - || rm -f 'tmp-tcl.tar.gz'
    69     69   			gzip -dc 'tmp-tcl.tar.gz' | tar -xf -
    70     70   			mv "tcl-fossil" "tcl${TCLVERS}"
    71     71   
    72     72   			# Determine date of this Tcl release and use that date for all other dependent packages
    73     73   			## Unless the release we are talking about is "trunk", in which case we use that everywhere
    74     74   			if [ "${FOSSILTAG}" = "trunk" ]; then
    75     75   				FOSSILDATE="${FOSSILTAG}"
................................................................................
    79     79   
    80     80   			## If we are unable to determine the modification date, fall-back to the tag and hope for the best
    81     81   			if [ -z "${FOSSILDATE}" ]; then
    82     82   				FOSSILDATE="${FOSSILTAG}"
    83     83   			fi
    84     84   
    85     85   			# Handle other packages
    86         -			wget -O "tmp-itcl.tar.gz" "http://core.tcl.tk/itcl/tarball/itcl-fossil.tar.gz?uuid=${FOSSILDATE}" || rm -f 'tmp-itcl.tar.gz'
    87         -			wget -O "tmp-thread.tar.gz" "http://core.tcl.tk/thread/tarball/thread-fossil.tar.gz?uuid=${FOSSILDATE}" || rm -f "tmp-thread.tar.gz"
    88         -			wget -O "tmp-tclconfig.tar.gz" "http://core.tcl.tk/tclconfig/tarball/tclconfig-fossil.tar.gz?uuid=${FOSSILDATE}" || rm -f "tmp-tclconfig.tar.gz"
           86  +			download "http://core.tcl.tk/itcl/tarball/itcl-fossil.tar.gz?uuid=${FOSSILDATE}" "tmp-itcl.tar.gz" - || rm -f 'tmp-itcl.tar.gz'
           87  +			download "http://core.tcl.tk/thread/tarball/thread-fossil.tar.gz?uuid=${FOSSILDATE}" "tmp-thread.tar.gz" - || rm -f "tmp-thread.tar.gz"
           88  +			download "http://core.tcl.tk/tclconfig/tarball/tclconfig-fossil.tar.gz?uuid=${FOSSILDATE}" "tmp-tclconfig.tar.gz" - || rm -f "tmp-tclconfig.tar.gz"
    89     89   			if [ "${FOSSILDATE}" = "trunk" ] || [ "$(echo "${FOSSILDATE}" | cut -f 1 -d '-')" -ge '2012' ]; then
    90     90   				_USE_TDBC='1'
    91     91   				_USE_SQLITE='1'
    92     92   				SQLITEVERS='3071401'
    93     93   			fi
    94     94   
    95     95   			if [ "${_USE_TDBC}" = '1' ]; then
    96         -				wget -O "tmp-tdbc.tar.gz" "http://core.tcl.tk/tdbc/tarball/tdbc-fossil.tar.gz?uuid=${FOSSILDATE}" || rm -f "tmp-tdbc.tar.gz"
           96  +				download "http://core.tcl.tk/tdbc/tarball/tdbc-fossil.tar.gz?uuid=${FOSSILDATE}" "tmp-tdbc.tar.gz" - || rm -f "tmp-tdbc.tar.gz"
    97     97   			fi
    98     98   
    99     99   			if [ "${_USE_SQLITE}" = '1' ]; then
   100         -				wget -O "tmp-sqlite3.tar.gz" "http://www.sqlite.org/sqlite-autoconf-${SQLITEVERS}.tar.gz" || rm -f "tmp-sqlite3.tar.gz"
          100  +				download "http://www.sqlite.org/sqlite-autoconf-${SQLITEVERS}.tar.gz" "tmp-sqlite3.tar.gz" - || rm -f "tmp-sqlite3.tar.gz"
   101    101   			fi
   102    102   
   103    103   			gzip -dc "tmp-itcl.tar.gz" | tar -xf -
   104    104   			gzip -dc "tmp-thread.tar.gz" | tar -xf -
   105    105   			gzip -dc "tmp-tclconfig.tar.gz" | tar -xf -
   106    106   
   107    107   			mkdir -p "tcl${TCLVERS}/pkgs/" >/dev/null 2>/dev/null
................................................................................
   147    147   
   148    148   			cd ..
   149    149   
   150    150   			rm -rf "${workdir}"
   151    151   		) || exit 1
   152    152   	else
   153    153   		if [ ! -d 'buildsrc' ]; then
   154         -			rm -f "${SRC}.tmp"
   155         -			wget -O "${SRC}.tmp" "${SRCURL}" || (
          154  +			download "${SRCURL}" "${SRC}" - || (
   156    155   				echo '  Unable to download source code for Tcl.' >&4
   157         -				echo "  Attempted to run:  wget -O \"${SRC}.tmp\" \"${SRCURL}\"" >&4
   158         -				echo "  Got:"
   159         -				wget -O "${SRC}.tmp" "${SRCURL}" 2>&1 | sed 's@^@    @' >&4
   160         -
   161    156   				echo '  Aborting Tcl -- further packages will likely also fail.' >&4
   162    157   
   163    158   				exit 1
   164    159   			) || exit 1
   165         -			mv "${SRC}.tmp" "${SRC}"
   166    160   		fi
   167    161   	fi
   168    162   fi
   169    163   
   170    164   (
   171    165   	cd 'build' || exit 1
   172    166   

Modified tcllib/build.sh from [d804d69dc7] to [7e265f11b2].

    12     12   rm -rf 'build' 'out' 'inst'
    13     13   mkdir 'build' 'out' 'inst' || exit 1
    14     14   
    15     15   if [ ! -f "${SRC}" ]; then
    16     16   	mkdir 'src' >/dev/null 2>/dev/null
    17     17   
    18     18   	if [ ! -d 'buildsrc' ]; then
    19         -		rm -f "${SRC}.tmp"
    20         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    21         -		mv "${SRC}.tmp" "${SRC}"
           19  +		download "${SRCURL}" "${SRC}" - || exit 1
    22     20   	fi
    23     21   fi
    24     22   
    25     23   (
    26     24   	cd 'build' || exit 1
    27     25   
    28     26   	if [ ! -d '../buildsrc' ]; then

Modified tclvfs/build.sh from [7e37283f7c] to [55e0cfef36].

    36     36   fi
    37     37   export TCL_VERSION
    38     38   
    39     39   if [ ! -f "${SRC}" ]; then
    40     40   	mkdir 'src' >/dev/null 2>/dev/null
    41     41   
    42     42   	if [ ! -d 'buildsrc' ]; then
    43         -		rm -f "${SRC}.tmp"
    44         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    45         -		mv "${SRC}.tmp" "${SRC}"
           43  +		download "${SRCURL}" "${SRC}" - || exit 1
    46     44   	fi
    47     45   fi
    48     46   
    49     47   (
    50     48   	cd 'build' || exit 1
    51     49   
    52     50   	if [ ! -d '../buildsrc' ]; then

Modified tclx/build.sh from [e8fda61b35] to [48e26ee9c7].

    36     36   fi
    37     37   export TCL_VERSION
    38     38   
    39     39   if [ ! -f "${SRC}" ]; then
    40     40   	mkdir 'src' >/dev/null 2>/dev/null
    41     41   
    42     42   	if [ ! -d 'buildsrc' ]; then
    43         -		rm -f "${SRC}.tmp"
    44         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    45         -		mv "${SRC}.tmp" "${SRC}"
           43  +		download "${SRCURL}" "${SRC}" - || exit 1
    46     44   	fi
    47     45   fi
    48     46   
    49     47   (
    50     48   	cd 'build' || exit 1
    51     49   
    52     50   	if [ ! -d '../buildsrc' ]; then

Modified thread/build.sh from [b4f11c7a4a] to [7585e00eba].

    54     54   	exit 1
    55     55   ) || exit 0
    56     56   
    57     57   if [ ! -f "${SRC}" ]; then
    58     58   	mkdir 'src' >/dev/null 2>/dev/null
    59     59   
    60     60   	if [ ! -d 'buildsrc' ]; then
    61         -		rm -f "${SRC}.tmp"
    62         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    63         -		mv "${SRC}.tmp" "${SRC}"
           61  +		download "${SRCURL}" "${SRC}" - || exit 1
    64     62   	fi
    65     63   fi
    66     64   
    67     65   (
    68     66   	cd 'build' || exit 1
    69     67   
    70     68   	if [ ! -d '../buildsrc' ]; then

Modified tk/build.sh from [bb348ac8e4] to [6d3a5c12f3].

    77     77   
    78     78   			workdir="tmp-$$${RANDOM}${RANDOM}${RANDOM}"
    79     79   			rm -rf "${workdir}"
    80     80   
    81     81   			mkdir "${workdir}" || exit 1
    82     82   			cd "${workdir}" || exit 1
    83     83   
    84         -			wget -O "tmp-tk.tar.gz" "http://core.tcl.tk/tk/tarball/tk-fossil.tar.gz?uuid=${FOSSILTAG}" || rm -f 'tmp-tk.tar.gz'
           84  +			download "http://core.tcl.tk/tk/tarball/tk-fossil.tar.gz?uuid=${FOSSILTAG}" "tmp-tk.tar.gz" - || rm -f 'tmp-tk.tar.gz'
    85     85   			gzip -dc "tmp-tk.tar.gz" | tar -xf - || rm -f 'tmp-tk.tar.gz'
    86     86   
    87     87   			if [ ! -s 'tmp-tk.tar.gz' ]; then
    88         -				wget -O "tmp-tk.tar.gz" "http://core.tcl.tk/tk/tarball/tk-fossil.tar.gz?uuid=${FOSSILDATE}" || rm -f 'tmp-tk.tar.gz'
           88  +				download "http://core.tcl.tk/tk/tarball/tk-fossil.tar.gz?uuid=${FOSSILDATE}" "tmp-tk.tar.gz" - || rm -f 'tmp-tk.tar.gz'
    89     89   				gzip -dc "tmp-tk.tar.gz" | tar -xf -
    90     90   			fi
    91     91   
    92     92   			mv "tk-fossil" "tk${TCLVERS}"
    93     93                           
    94     94   			tar -cf - "tk${TCLVERS}" | gzip -c > "../../${SRC}"
    95     95   
    96     96   			cd ..
    97     97   			rm -rf "${workdir}"
    98     98   		)
    99     99   	else
   100    100   		if [ ! -d 'buildsrc' ]; then
   101         -			rm -f "${SRC}.tmp"
   102         -			wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
   103         -			mv "${SRC}.tmp" "${SRC}"
          101  +			download "${SRCURL}" "${SRC}" - || exit 1
   104    102   		fi
   105    103   	fi
   106    104   fi
   107    105   
   108    106   (
   109    107   	cd 'build' || exit 1
   110    108   

Modified tls/build.sh from [eaa77b3a1b] to [2d1611de7f].

    36     36   fi
    37     37   export TCL_VERSION
    38     38   
    39     39   if [ ! -f "${SRC}" ]; then
    40     40   	mkdir 'src' >/dev/null 2>/dev/null
    41     41   
    42     42   	if [ ! -d 'buildsrc' ]; then
    43         -		rm -f "${SRC}.tmp"
    44         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    45         -		mv "${SRC}.tmp" "${SRC}"
           43  +		download "${SRCURL}" "${SRC}" - || exit 1
    46     44   	fi
    47     45   fi
    48     46   
    49     47   (
    50     48   	cd 'build' || exit 1
    51     49   
    52     50   	if [ ! -d '../buildsrc' ]; then

Modified udp/build.sh from [0751b83164] to [1eface7444].

    36     36   fi
    37     37   export TCL_VERSION
    38     38   
    39     39   if [ ! -f "${SRC}" ]; then
    40     40   	mkdir 'src' >/dev/null 2>/dev/null
    41     41   
    42     42   	if [ ! -d 'buildsrc' ]; then
    43         -		rm -f "${SRC}.tmp"
    44         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    45         -		mv "${SRC}.tmp" "${SRC}"
           43  +		download "${SRCURL}" "${SRC}" - || exit 1
    46     44   	fi
    47     45   fi
    48     46   
    49     47   (
    50     48   	cd 'build' || exit 1
    51     49   
    52     50   	if [ ! -d '../buildsrc' ]; then

Modified yajltcl/build.sh from [4f55cc724b] to [0ac8109c1f].

    34     34   rm -rf 'build' 'out' 'inst'
    35     35   mkdir 'build' 'out' 'inst' || exit 1
    36     36   
    37     37   if [ ! -d 'buildsrc' ]; then
    38     38   	mkdir 'src' >/dev/null 2>/dev/null
    39     39   
    40     40   	if [ ! -f "${SRC}" ]; then
    41         -		rm -f "${SRC}.tmp"
    42         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    43         -		mv "${SRC}.tmp" "${SRC}"
           41  +		download "${SRCURL}" "${SRC}" - || exit 1
    44     42   	fi
    45     43   
    46     44   	if [ ! -f "${YAJLSRC}" ]; then
    47         -		rm -f "${YAJLSRC}.tmp"
    48         -		wget -O "${YAJLSRC}.tmp" "${YAJLSRCURL}" || exit 1
    49         -		mv "${YAJLSRC}.tmp" "${YAJLSRC}"
           45  +		download "${YAJLSRCURL}" "${YAJLSRC}" - || exit 1
    50     46   	fi
    51     47   fi
    52     48   
    53     49   (
    54     50   	cd 'build' || exit 1
    55     51   
    56     52   	if [ ! -d '../buildsrc' ]; then

Modified zlib/build.sh from [e9c0794475] to [ad6eceef53].

    29     29   rm -rf 'build' 'out' 'inst'
    30     30   mkdir 'build' 'out' 'inst' || exit 1
    31     31   
    32     32   if [ ! -f "${SRC}" ]; then
    33     33   	mkdir 'src' >/dev/null 2>/dev/null
    34     34   
    35     35   	if [ ! -d 'buildsrc' ]; then
    36         -		rm -f "${SRC}.tmp"
    37         -		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
    38         -		mv "${SRC}.tmp" "${SRC}"
           36  +		download "${SRCURL}" "${SRC}" - || exit 1
    39     37   	fi
    40     38   fi
    41     39   
    42     40   (
    43     41   	cd 'build' || exit 1
    44     42   
    45     43   	if [ ! -d '../buildsrc' ]; then